org.apache.ignite.internal.processors.bulkload

## Class BulkLoadCsvParser

- java.lang.Object
- - org.apache.ignite.internal.processors.bulkload.BulkLoadParser
  - - org.apache.ignite.internal.processors.bulkload.BulkLoadCsvParser

    public class BulkLoadCsvParser
    extends BulkLoadParser

CSV parser for COPY command.

### Constructor Summary

Constructors
Constructor and Description
`BulkLoadCsvParser(BulkLoadCsvFormat format)` Creates bulk load CSV parser.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Iterable<List<Object>>` `parseBatch(byte[] batchData, boolean isLastBatch)` Parses a batch of input data and returns a list of records parsed (in most cases this is a list of strings).

### Methods inherited from class org.apache.ignite.internal.processors.bulkload.BulkLoadParser

`createParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkLoadCsvParser

    public BulkLoadCsvParser(BulkLoadCsvFormat format)

Creates bulk load CSV parser.

Parameters:
  `format` - Format options (parsed from COPY command).

### Method Detail

#### parseBatch

    protected Iterable<List<Object>> parseBatch(byte[] batchData,
                                                boolean isLastBatch)
                                         throws IgniteCheckedException

Parses a batch of input data and returns a list of records parsed (in most cases this is a list of strings).

Note that conversion between parsed and database table type is done by the other object (see `BulkLoadProcessor.dataConverter`) by the request processing code. This method is not obliged to do this conversion.

Specified by:
  `parseBatch` in class `BulkLoadParser`
Parameters:
  `batchData` - Data from the current batch.
  `isLastBatch` - true if this is the last batch.
Returns:
  The list of records.
Throws:
  `IgniteCheckedException` - If any processing error occurs.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019